Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_bdb_exists

## Name

librdf_hash_bdb_exists -- Test the existence of a key/value in the hash

## Synopsis

``int `librdf_hash_bdb_exists`` (void* `context`, librdf_hash_datum * `key`, librdf_hash_datum * `value`);`

## Arguments

`context`

  BerkeleyDB hash context

`key`

  pointer to key

`value`

  pointer to value (optional)

## Description

The value can be NULL in which case the check will just be for the key.

## Return value

>0 if the key/value exists in the hash, 0 if not, <0 on failure

<<< Previous | Home | Next >>>
librdf_hash_bdb_put | Up | librdf_hash_bdb_delete_key